Package com.usatiuk.dhfs.rpc

# Class TemporaryRemoteObjectSerializer

java.lang.Object
com.usatiuk.dhfs.rpc.TemporaryRemoteObjectSerializer

All Implemented Interfaces:
  `ProtoSerializer<JDataRemoteDtoP,JDataRemoteDto>`

@ApplicationScoped public class TemporaryRemoteObjectSerializer extends Object implements ProtoSerializer<JDataRemoteDtoP,JDataRemoteDto>

## Constructor Summary

Constructors
Constructor
Description
`TemporaryRemoteObjectSerializer()`

## Method Summary

Modifier and Type
Method
Description
`JDataRemoteDto`
`deserialize(JDataRemoteDtoP message)`
`JDataRemoteDtoP`
`serialize(JDataRemoteDto object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemporaryRemoteObjectSerializer

public TemporaryRemoteObjectSerializer()

## Method Details

### deserialize

public JDataRemoteDto deserialize(JDataRemoteDtoP message)

Specified by:
  `deserialize` in interface `ProtoSerializer<JDataRemoteDtoP,JDataRemoteDto>`

### serialize

public JDataRemoteDtoP serialize(JDataRemoteDto object)

Specified by:
  `serialize` in interface `ProtoSerializer<JDataRemoteDtoP,JDataRemoteDto>`